## frotz 2.54+dfsg

=== Makefile ===
# Makefile for Unix Frotz
# GNU make is required.

# Your C compiler
#CC ?= gcc
#CC ?= clang

# Enable compiler warnings. This is an absolute minimum.
CFLAGS += -Wall -std=c99 -O3 #-Wextra

# Define your optimization flags.
#
# These are good for regular use.
#CFLAGS += -O2 -fomit-frame-pointer -falign-functions=2 -falign-loops=2 -falign-jumps=2
# These are handy for debugging.
CFLAGS += -g

# Define where you want Frotz installed
PREFIX ?= /usr/local
MANDIR ?= $(MAN_PREFIX)/man
BINDIR ?= $(PREFIX)/bin
#BINDIR ?= $(PREFIX)/games
MAN_PREFIX ?= $(PREFIX)/share
SYSCONFDIR ?= /etc

# Choose your sound support
# OPTIONS: ao, none
SOUND_TYPE ?= ao

# Choose DOS options
#DOS_NO_SOUND ?= yes
DOS_NO_BLORB ?= yes
DOS_NO_GRAPHICS ?= yes
DOS_NO_TRUECOLOUR ?= yes


##########################################################################
# The configuration options below are intended mainly for older flavors
# of Unix.  For Linux, BSD, and Solaris released since 2003, you can
# ignore this section.
##########################################################################

# Default sample rate for sound effects.
# All modern sound interfaces can be expected to support 44100 Hz sample
# rates.  Earlier ones, particularly ones in Sun 4c workstations support
# only up to 8000 Hz.
SAMPLERATE ?= 44100

# Audio buffer size in frames
BUFFSIZE ?= 4096

# Default sample rate converter type
DEFAULT_CONVERTER ?= SRC_SINC_MEDIUM_QUALITY

# Comment this out if you don't want UTF-8 support
USE_UTF8 ?= yes

# Comment this out if your machine's version of curses doesn't support color.
COLOR ?= yes

# Comment this out if your machine's version of curses doesn't support italic.
ITALIC ?= yes

# Select your chosen version of curses.  Unless something old is going
# on, ncursesw should be used because that's how UTF8 is supported.
#CURSES ?= curses
#CURSES ?= ncurses
CURSES ?= ncursesw

# This Makefile uses the pkg-config utility to get information on
# installed libraries.  If your system is missing that utility and
# cannot install it for whatever reason (usually very old ones), you
# will need to uncomment and perhaps modify some of these lines.
# I don't see any way around not having pkg-config for SDL.
#CURSES_LDLAGS += -l$(CURSES) -ltinfo
#CURSES_CFLAGS += -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600

# Uncomment this to disable Blorb support for dumb and curses interfaces.
# SDL interface always has Blorb support.
# Doing this for the X11 interface will make it use old-style graphics.
#NO_BLORB = yes

# These are for enabling local version of certain functions which may be
# missing or behave differently from what's expected in modern system.
# If you're running on a system made in the past 20 years, you should be
# safe leaving these alone.  If not or you're using something modern,
# but very strange intended for very limited machines, you probably know
# what you're doing.  Therefore further commentary on what these
# functions do is probably not necessary.

# For missing memmove()
#NO_MEMMOVE = yes

# For missing strdup() and strndup()
#NO_STRDUP = yes

# For missing strrchr()
#NO_STRRCHR = yes

# Uncomment to disable format codes for dumb interface
#DISABLE_FORMATS = yes

# For missing basename()
#NO_BASENAME = yes

# If your target complains excessively about unused parameters, uncomment this
#SILENCE_UNUSED = yes

# Assorted constants
MAX_UNDO_SLOTS = 500
MAX_FILE_NAME = 80
TEXT_BUFFER_SIZE = 512
INPUT_BUFFER_SIZE = 200
STACK_SIZE = 1024


#########################################################################
# This section is where Frotz is actually built.
# Under normal circumstances, nothing in this section should be changed.
#########################################################################

# Windows - don't build
ifeq ($(OS),Windows_NT)
$(error Compilation on Windows not supported)
endif

# Determine what system we are on.
RANLIB ?= $(shell which ranlib)
AR ?= $(shell which ar)
# For now, assume !windows == unix.
OS_TYPE ?= unix
UNAME_S := $(shell uname -s)

ifeq ($(MAKECMDGOALS),tops20)
    EXPORT_TYPE = tops20
endif
ifeq ($(MAKECMDGOALS),dos)
    EXPORT_TYPE = dos
endif
ifeq ($(MAKECMDGOALS),owdos)
    EXPORT_TYPE = dos
endif
ifeq ($(MAKECMDGOALS),dosdefs)
    EXPORT_TYPE = dos
endif

RANLIB ?= ranlib
PKG_CONFIG ?= pkg-config

# If we have pkg-config...
ifneq ($(shell which $(PKG_CONFIG)),)
# if pkg-config has $(CURSES)
ifeq ($(shell $(PKG_CONFIG) --exists $(CURSES) && echo 0),0)
# use pkg-config $(CURSES) info
PKG_CONFIG_CURSES = yes
CURSES_LDFLAGS += $(shell $(PKG_CONFIG) $(CURSES) --libs)
CURSES_CFLAGS += $(shell $(PKG_CONFIG) $(CURSES) --cflags)
else # Otherwise, try something obvious like before.
CURSES_LDFLAGS += -l$(CURSES)
endif
endif


# OS-specific configurations.
# NetBSD
ifeq ($(UNAME_S),NetBSD)
NETBSD = yes
CFLAGS += -D_NETBSD_SOURCE -I/usr/pkg/include
LDFLAGS += -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
SDL_LDFLAGS += -lexecinfo
ifeq ($(CURSES), ncursesw)
CURSES_CFLAGS += -I/usr/pkg/include/ncursesw
else
CURSES_CFLAGS += -I/usr/pkg/include/ncurses
endif
endif

# FreeBSD
ifeq ($(UNAME_S),FreeBSD)
FREEBSD = yes
CFLAGS += -I/usr/local/include -D__BSD_VISIBLE=1
LDFLAGS += -L/usr/local/lib
SDL_LDFLAGS += -lexecinfo
endif

# OpenBSD
ifeq ($(UNAME_S),OpenBSD)
OPENBSD = yes
NO_EXECINFO_H = yes
NO_UCONTEXT_H = yes
NO_IMMINTRIN_H = yes
CFLAGS += -I/usr/local/include
LDFLAGS += -L/usr/local/lib
SDL_CFLAGS += -DSDL_DISABLE_IMMINTRIN_H
SDL_LDFLAGS += -lexecinfo
endif

# Linux
ifeq ($(UNAME_S),Linux)
LINUX = yes
CFLAGS += -D_POSIX_C_SOURCE=200809L
NPROCS = $(shell grep -c ^processor /proc/cpuinfo)
endif

# macOS
ifeq ($(UNAME_S),Darwin)
MACOS = yes
# On macOS, we'll try to use Homebrew's ncurses
HOMEBREW_PREFIX ?= $(shell brew --prefix)
LDFLAGS += -L$(HOMEBREW_PREFIX)/lib

CURSES_MACOS ?= ncurses
CURSES = $(CURSES_MACOS)

CURSES_CONFIG ?= $(shell stat -f'%N' $(HOMEBREW_PREFIX)/opt/ncurses/bin/ncurses6-config)
# Reset CURSES_LDFLAGS, CURSES_CFLAGS.
CURSES_LDFLAGS = $(shell $(CURSES_CONFIG) --libs)
CURSES_CFLAGS = $(shell $(CURSES_CONFIG) --cflags)
ifeq ($(CURSES_CONFIG),)
$(error no ncurses6-config found. Install Homebrew and brew install ncurses, or set CURSES_CONFIG yourself)
endif
SDL_CFLAGS += -D_XOPEN_SOURCE
endif


# Make sure the right curses include file is included.
ifeq ($(CURSES), curses)
CURSES_DEFINE = USE_CURSES_H
else ifneq ($(findstring ncurses,$(CURSES)),)
CURSES_CFLAGS += -D_XOPEN_SOURCE_EXTENDED
CURSES_DEFINE = USE_NCURSES_H
endif

MKFONTDIR ?= $(shell which mkfontdir)

export CC
export CFLAGS
export CURSES_CFLAGS
export NPROCS
export MAKEFLAGS
export AR
export RANLIB
export SYSCONFDIR
export SDL_CFLAGS
export COLOR
export ITALIC
export SOUND_TYPE
export NO_SOUND

NAME = frotz
VERSION = 2.54
RELEASE_NOTES = "Official release."

# If we're working from git, we have access to proper variables. If
# not, make it clear that we're working from a release.
#
GIT_DIR ?= .git
ifneq ($(and $(wildcard $(GIT_DIR)),$(shell which git)),)
GIT_HASH = $(shell git rev-parse HEAD)
GIT_HASH_SHORT = $(shell git rev-parse --short HEAD)
GIT_DATE = $(shell git show -s --format=%ci)
else
GIT_HASH = 5a86de2f0799bde12699a0189ea12be8c96194a5
GIT_HASH_SHORT = 5a86de2
GIT_DATE = 2022-04-13 23:47:41 -0700
endif
export CFLAGS


# Source locations
#
SRCDIR = src
COMMON_DIR = $(SRCDIR)/common
COMMON_LIB = $(COMMON_DIR)/frotz_common.a
COMMON_DEFINES = $(COMMON_DIR)/defs.h
HASH = $(COMMON_DIR)/hash.h

MISC_DIR = $(SRCDIR)/misc

BLORB_DIR = $(SRCDIR)/blorb
BLORB_LIB = $(BLORB_DIR)/blorblib.a

CURSES_DIR = $(SRCDIR)/curses
CURSES_LIB = $(CURSES_DIR)/frotz_curses.a
CURSES_DEFINES = $(CURSES_DIR)/ux_defines.h

DUMB_DIR = $(SRCDIR)/dumb
DUMB_LIB = $(DUMB_DIR)/frotz_dumb.a

DOS_DIR = $(SRCDIR)/dos

X11_DIR = $(SRCDIR)/x11
X11_LIB = $(X11_DIR)/frotz_x11.a
export X11_PKGS = x11 xt libpng libjpeg zlib
X11_FONTDIR = $(DESTDIR)$(PREFIX)/share/fonts/X11/zork
X11_LDFLAGS = `pkg-config $(X11_PKGS) --libs` -lm

SDL_DIR = $(SRCDIR)/sdl
SDL_LIB = $(SDL_DIR)/frotz_sdl.a
export SDL_PKGS = libpng libjpeg sdl2 SDL2_mixer freetype2 zlib
SDL_LDFLAGS += $(shell $(PKG_CONFIG) $(SDL_PKGS) --libs) -lm

SUBDIRS = $(COMMON_DIR) $(CURSES_DIR) $(X11_DIR) $(SDL_DIR) $(DUMB_DIR) $(BLORB_DIR) $(DOS_DIR)
SUB_CLEAN = $(SUBDIRS:%=%-clean)

FROTZ_BIN = frotz$(EXTENSION)
DFROTZ_BIN = dfrotz$(EXTENSION)
XFROTZ_BIN = xfrotz$(EXTENSION)
SFROTZ_BIN = sfrotz$(EXTENSION)
DOS_BIN = frotz.exe

FROTZ_LIBS  = $(COMMON_LIB) $(CURSES_LIB) $(BLORB_LIB) $(COMMON_LIB)
DFROTZ_LIBS = $(COMMON_LIB) $(DUMB_LIB) $(BLORB_LIB) $(COMMON_LIB)
XFROTZ_LIBS = $(COMMON_LIB) $(X11_LIB) $(BLORB_LIB) $(COMMON_LIB)
SFROTZ_LIBS = $(COMMON_LIB) $(SDL_LIB) $(BLORB_LIB) $(COMMON_LIB)

# Tools
SNAVIG = $(MISC_DIR)/snavig.pl
SNAVIG_DIR = snavig

ifdef NO_BLORB
SOUND_TYPE = none
CURSES_SOUND = disabled
BLORB_SUPPORT = disabled
FROTZ_LIBS  = $(COMMON_LIB) $(CURSES_LIB) $(COMMON_LIB)
DFROTZ_LIBS = $(COMMON_LIB) $(DUMB_LIB) $(COMMON_LIB)
else
BLORB_SUPPORT = enabled
endif

ifeq ($(SOUND_TYPE), ao)
CURSES_SOUND_LDFLAGS += -lao -lpthread -lm \
			-lsndfile -lvorbisfile -lmodplug -lsamplerate
CURSES_SOUND = enabled
else
CURSES_SOUND = disabled
endif

# Check to see if the -Orecurse option is available.  It's nice for
# watching the output of a parallel build, but is otherwise not
# necessary.
ifneq ($(filter output-sync,$(value .FEATURES)),)
MAKEFLAGS += -Orecurse
endif

# Just the version number without the dot
DOSVER = $(shell echo $(VERSION) | sed s/\\.//g)

# Build recipes
#
curses: $(FROTZ_BIN)
ncurses: $(FROTZ_BIN)
$(FROTZ_BIN): $(FROTZ_LIBS)
	$(CC) $+ -o $@$(EXTENSION) $(LDFLAGS) $(CURSES_LDFLAGS) $(CURSES_SOUND_LDFLAGS)
	@echo "** Done building Frotz with curses interface"
	@echo "** Audio support $(CURSES_SOUND) (type $(SOUND_TYPE))"
	@echo "** Blorb support $(BLORB_SUPPORT)"

nosound: nosound_helper $(FROTZ_BIN) | nosound_helper
nosound_helper:
	$(eval SOUND_TYPE= none)
	$(eval NO_SOUND= -DNO_SOUND)
	$(eval CURSES_SOUND_LDFLAGS= )
	$(eval CURSES_SOUND= disabled)

dumb: $(DFROTZ_BIN)
$(DFROTZ_BIN): $(DFROTZ_LIBS)
	$(CC) $+ -o $@$(EXTENSION) $(LDFLAGS)
	@echo "** Done building Frotz with dumb interface."
	@echo "** Blorb support $(BLORB_SUPPORT)"

x11: $(XFROTZ_BIN)
$(XFROTZ_BIN): $(XFROTZ_LIBS)
	$(CC) $+ -o $@$(EXTENSION) $(LDFLAGS) $(X11_LDFLAGS)
	@echo "** Done building Frotz with X11 interface."

sdl: $(SFROTZ_BIN)
$(SFROTZ_BIN): $(SFROTZ_LIBS)
	$(CC) $+ -o $@$(EXTENSION) $(LDFLAGS) $(SDL_LDFLAGS)
	@echo "** Done building Frotz with SDL interface."

owdos: $(DOS_BIN)
$(DOS_BIN): $(COMMON_DEFINES) $(HASH)
ifneq ($(shell which wmake),)
	wmake -f Makefile.ow
else
	$(error wmake command not found.  Cannot make the DOS version)
endif

all: $(FROTZ_BIN) $(DFROTZ_BIN) $(SFROTZ_BIN) $(XFROTZ_BIN)
snavig:
	@echo "Snavig: Change an object's shape..."
	@echo "Possible snavig-processed targets:"
	@echo "  dos    (done)"
	@echo "  tops20 (done)"
	@echo "  its    (not even started)"
	@echo "  tops10 (not even started)"
	@echo "  tenex  (not even started)"
	@echo "  waits  (not even started)"
	@echo "That's all for now."

dos: $(COMMON_DEFINES) $(HASH)
	@rm -rf $(SNAVIG_DIR)
	@mkdir $(SNAVIG_DIR)
	@echo "** Copying support text files to $(SNAVIG_DIR)"
	@cp Makefile.tc Makefile.ow $(SNAVIG_DIR)
	@cp owbuild.bat tcbuild.bat $(SNAVIG_DIR)
	@cp INSTALL_DOS $(SNAVIG_DIR)/INSTALL.txt
	@cp doc/frotz.txt $(SNAVIG_DIR)
	@sed -i "/^OW_DOS_DIR.*/d" $(SNAVIG_DIR)/Makefile.ow
	@sed -i "/^CORE_DIR.*/d" $(SNAVIG_DIR)/Makefile.ow
	@sed -i "/^BLORB_DIR.*/d" $(SNAVIG_DIR)/Makefile.ow
	@echo "** Invoking snavig"
	@$(SNAVIG) -t dos $(COMMON_DIR) $(BLORB_DIR) $(DOS_DIR) $(SNAVIG_DIR)
	@echo "** Adding frotz.prj for building with Turbo C IDE"
	@cp frotz.prj $(SNAVIG_DIR)
	@echo "$(SNAVIG_DIR)/ now contains Frotz source code for 16-bit DOS."
	@echo "Supported compilers are:"
	@echo "  Borland Turbo C 3.00 and Borland MAKE 3.6"
	@echo "  Open Watcom C 2.0 and Open Watcom MAKE (wmake)"

tops20: $(COMMON_DEFINES) $(HASH)
	@rm -rf $(SNAVIG_DIR)
	@mkdir $(SNAVIG_DIR)
	@echo "** Invoking snavig"

=== src/blorb/Makefile ===
# Makefile for Unix Frotz
# GNU make is required

SOURCES = blorblib.c

HEADERS = blorb.h blorblow.h

OBJECTS = $(SOURCES:.c=.o)

TARGET = blorblib.a

ARFLAGS = rc

.PHONY: clean
.DELETE_ON_ERROR:

$(TARGET): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@
	@echo "** Done with Blorb library."

clean:
	rm -f $(TARGET) $(OBJECTS)

%.o: %.c
	$(CC) $(CFLAGS) -I../common -fPIC -fpic -o $@ -c $<

=== src/common/Makefile ===
# Makefile for Unix Frotz
# GNU make is required.

SOURCES = buffer.c err.c fastmem.c files.c getopt.c hotkey.c input.c \
	main.c math.c missing.c object.c process.c quetzal.c random.c \
	redirect.c screen.c sound.c stream.c table.c text.c variable.c

HEADERS = frotz.h setup.h unused.h

OBJECTS = $(SOURCES:.c=.o)

TARGET = frotz_common.a

ARFLAGS = rc

.PHONY: clean
.DELETE_ON_ERROR:

$(TARGET): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@
	@echo "** Done with Frotz core."

clean:
	rm -f $(TARGET) $(OBJECTS)
	rm -f *.o defs.h *.O DEFS.H

%.o: %.c
	$(CC) $(CFLAGS) -fPIC -fpic -o $@ -c $<

=== src/curses/Makefile ===
# Makefile for Unix Frotz
# GNU make is required.

SOURCES = ux_audio.c ux_audio_none.c ux_audio_oss.c ux_blorb.c ux_init.c \
	ux_input.c ux_pic.c ux_screen.c ux_text.c

HEADERS = ux_blorb.h ux_frotz.h ux_setup.h defines.h

OBJECTS = $(SOURCES:.c=.o)

TARGET = frotz_curses.a

ARFLAGS = rc

SOUND_TYPE ?= ao

UNAME_S := $(shell uname -s)

ifeq ($(SOUND_TYPE), ao)
ifneq ($(UNAME_S),Haiku)
CFLAGS += -pthread
ifeq ($(UNAME_S),Darwin)
HOMEBREW_PREFIX ?= $(shell brew --prefix)
CFLAGS += -I$(HOMEBREW_PREFIX)/include
endif
endif
else ifeq ($(SOUND_TYPE), none)

else ifndef SOUND_TYPE

else
$(error Invalid sound choice $(SOUND_TYPE))
endif

.PHONY: clean
.DELETE_ON_ERROR:

$(TARGET): $(OBJECTS)
	$(AR) $(ARFLAGS) $@ $?
	$(RANLIB) $@
	@echo "** Done with curses interface."

clean:
	rm -f $(TARGET) $(OBJECTS)

%.o: %.c
	$(CC) $(CFLAGS) $(CURSES_CFLAGS) $(NO_SOUND) -fPIC -fpic -o $@ -c $<

=== src/dos/Makefile ===
# For GNU Make.  Just for cleaning purposes.

.PHONY:	clean

clean:
	rm -f frotz.exe FROTZ.EXE
	rm -f *.O *.o

=== src/x11/Makefile ===
# For GNU Make.

SOURCES = x_init.c x_input.c x_pic.c x_oldpic.c x_sample.c x_screen.c x_text.c x_blorb.c
OBJECTS = $(SOURCES:.c=.o)
HEADERS = x_frotz.h x_setup.h x_blorb.h

ZFONTSBDF = Zork_r400-10.bdf Zork_r400-11.bdf Zork_r400-13.bdf Zork_r400-16.bdf Zork_r400-20.bdf
ZFONTSPCF = $(ZFONTSBDF:.bdf=.pcf)

TARGET = frotz_x11.a

ARFLAGS = rc

SOUND ?= ao

CFLAGS += -DNO_SOUND
CFLAGS += `pkg-config $(X11_PKGS) --cflags`

.PHONY: clean
.SUFFIXES: .bdf .c .o .pcf
.DELETE_ON_ERROR:

$(TARGET): $(OBJECTS) $(ZFONTSPCF)
	$(AR) $(ARFLAGS) $(TARGET) $(OBJECTS) $?
	$(RANLIB) $@
	@echo "** Done with X11 interface."

clean:
	rm -f $(TARGET) $(OBJECTS) $(ZFONTSPCF)

%.o: %.c
	$(CC) $(CFLAGS) -fPIC -fpic -o $@ -c $<

.bdf.pcf:
	bdftopcf -t $< -o $@

=== debian/changelog ===
frotz (2.54+dfsg-4) unstable; urgency=medium

  * GCC 14 catches a few more uint32_t / ulong mix-ups, expand
    uint32.patch to include them. Closes: #1074870.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Jul 2024 13:38:52 +0200

frotz (2.54+dfsg-3) unstable; urgency=medium

  * Build-depend on libfreetype-dev instead of libfreetype6-dev, and
    libncurses-dev instead of libncurses5-dev.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 29 Jan 2023 15:19:56 +0100

frotz (2.54+dfsg-2) unstable; urgency=medium

  [ Stephen Kitt ]
  * Add mailcap entries. Closes: #381231.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Dec 2022 22:59:32 +0100

frotz (2.54+dfsg-1) unstable; urgency=medium

  * New upstream release, merging spelling-fixes.patch.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Apr 2022 10:17:25 +0200

=== debian/control ===
Source: frotz
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Stephen Kitt <skitt@debian.org>
Homepage: https://davidgriffith.gitlab.io/frotz/
Build-Depends:
 debhelper-compat (= 13),
 libao-dev,
 libfreetype-dev,
 libjpeg-dev,
 libmodplug-dev,
 libncurses-dev,
 libpng-dev,
 libsamplerate0-dev,
 libsdl2-dev,
 libsdl2-mixer-dev,
 libsndfile1-dev,
 libvorbis-dev,
 zlib1g-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/frotz
Vcs-Git: https://salsa.debian.org/games-team/frotz.git
Rules-Requires-Root: no

Package: frotz
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 zcode-interpreter
Conflicts:
 zcode-support
Replaces:
 zcode-support
Description: interpreter of Z-code story-files
 Frotz interprets Z-code story-files, which are usually text adventure
 games (although a few arcade-style Z-code games have been written).
 Examples of such story files include the adventure games published by
 Infocom, as well as any games produced by compilers to this format,
 such as Inform.  You can find a number of Inform-compiled games up for
 anonymous FTP at ftp://ftp.ifarchive.org/ or HTTP at http://www.ifarchive.org/
 .
 Frotz complies with the Z Machine specification version 1.0.
 .
 This package contains the dumb and Curses versions of Frotz.

Package: sdlfrotz
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 zcode-interpreter
Conflicts:
 zcode-support
Replaces:
 zcode-support
Description: interpreter of Z-code story-files (SDL version)
 Frotz interprets Z-code story-files, which are usually text adventure
 games (although a few arcade-style Z-code games have been written).
 Examples of such story files include the adventure games published by
 Infocom, as well as any games produced by compilers to this format,
 such as Inform.  You can find a number of Inform-compiled games up for
 anonymous FTP at ftp://ftp.ifarchive.org/ or HTTP at http://www.ifarchive.org/
 .
 Frotz complies with the Z Machine specification version 1.0.
 .
 This package contains the SDL version of Frotz, which adds support
 for graphical Z6 games.

## frotz 2.55+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # Makefile for Unix Frotz
 # GNU make is required.
 
-# Your C compiler
-#CC ?= gcc
-#CC ?= clang
+# Choose your preferred C compiler
+#CC = gcc
+#CC = clang
 
 # Enable compiler warnings. This is an absolute minimum.
 CFLAGS += -Wall -std=c99 -O3 #-Wextra
@@ -67,11 +67,11 @@
 #CURSES ?= ncurses
 CURSES ?= ncursesw
 
-# This Makefile uses the pkg-config utility to get information on
+# This Makefile uses the pkgconf utility to get information on
 # installed libraries.  If your system is missing that utility and
-# cannot install it for whatever reason (usually very old ones), you
+# cannot install it for whatever reason (usually very old systems), you
 # will need to uncomment and perhaps modify some of these lines.
-# I don't see any way around not having pkg-config for SDL.
+# I don't see any way around not having pkgconf for SDL.
 #CURSES_LDLAGS += -l$(CURSES) -ltinfo
 #CURSES_CFLAGS += -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600
 
@@ -80,6 +80,10 @@
 # Doing this for the X11 interface will make it use old-style graphics.
 #NO_BLORB = yes
 
+
+################################
+# Potentially Missing Functions
+#
 # These are for enabling local version of certain functions which may be
 # missing or behave differently from what's expected in modern system.
 # If you're running on a system made in the past 20 years, you should be
@@ -91,17 +95,20 @@
 # For missing memmove()
 #NO_MEMMOVE = yes
 
-# For missing strdup() and strndup()
+# For missing strdup()
 #NO_STRDUP = yes
+
+# For missing strndup()
+#NO_STRNDUP = yes
 
 # For missing strrchr()
 #NO_STRRCHR = yes
 
+# For missing basename()
+#NO_BASENAME = yes
+
 # Uncomment to disable format codes for dumb interface
 #DISABLE_FORMATS = yes
-
-# For missing basename()
-#NO_BASENAME = yes
 
 # If your target complains excessively about unused parameters, uncomment this
 #SILENCE_UNUSED = yes
@@ -113,6 +120,20 @@
 INPUT_BUFFER_SIZE = 200
 STACK_SIZE = 1024
 
+# If SDL2 is available, you most certainly will/should have pkgconf
+# available, but if not, these defaults should work;
+SDL_CFLAGS_DEF = -I/usr/include/libpng16 -I/usr/include/SDL2 \
+	-D_REENTRANT -I/usr/include/freetype2
+SDL_SOUND_CFLAGS_DEF = -I/usr/include/glib-2.0 -I/usr/include/opus \
+	-I/usr/include/dbus-1.0 -I/usr/include/libinstpatch-2 -pthread \
+	-D_REENTRANT -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=600
+SDL_LDFLAGS_DEF = -lm -lpng16 -ljpeg -lSDL2 -lfreetype -lz
+SDL_SOUND_LDFLAGS_DEF = -lSDL2_mixer
+
+# Here are some reasonable defaults for the the X11 interface.
+X11_CFLAGS_DEF = -I/usr/include/libpng16
+X11_LDFLAGS_DEF = -lXt -lX11 -lpng16 -ljpeg -lz -lm
+
 
 #########################################################################
 # This section is where Frotz is actually built.
@@ -143,24 +164,55 @@
 ifeq ($(MAKECMDGOALS),dosdefs)
     EXPORT_TYPE = dos
 endif
+ifeq ($(MAKECMDGOALS),simple)
+    EXPORT_TYPE = simple
+endif
 
 RANLIB ?= ranlib
-PKG_CONFIG ?= pkg-config
-
-# If we have pkg-config...
-ifneq ($(shell which $(PKG_CONFIG)),)
-# if pkg-config has $(CURSES)
-ifeq ($(shell $(PKG_CONFIG) --exists $(CURSES) && echo 0),0)
-# use pkg-config $(CURSES) info
-PKG_CONFIG_CURSES = yes
-CURSES_LDFLAGS += $(shell $(PKG_CONFIG) $(CURSES) --libs)
-CURSES_CFLAGS += $(shell $(PKG_CONFIG) $(CURSES) --cflags)
+
+# Check to see if pkgconf or pkg-config is available.
+# Both are functionally identical with the name pkg-config being deprecated.
+PKGCONF_BIN ?= pkgconf
+PKG_CONFIG_BIN ?= pkg-config
+# If we don't have pkgconf", check if pkg-config is available.
+ifneq ($(shell which $(PKGCONF_BIN)),)
+PKGCONF = $(PKGCONF_BIN)
+else
+$(warning *** Could not find $(PKGCONF_BIN).  Is $(PKG_CONFIG_BIN) available?)
+# Check if pkg-config is available.
+ifneq ($(shell which $(PKG_CONFIG_BIN)),)
+$(warning *** Found $(PKG_CONFIG_BIN)!  Now proceeding normally.)
+PKGCONF = $(PKG_CONFIG_BIN)
+else
+# Neither pkgconf nor pkg-config found.
+$(warning *** Neither $(PKGCONF_BIN) nor $(PKG_CONFIG_BIN) are found!)
+$(warning *** Trying default configuration settings.  If these don't work,)
+$(warning *** check the configuration section of the main Makefile.)
+NO_PKGCONF = yes
+endif
+endif
+
+
+#######################
+# Curses configuration.
+ifeq ($(NO_PKGCONF), yes)
+CURSES_LDFLAGS += -l$(CURSES)
+CURSES_CFLAGS += -D_DEFAULT_SOURCE
+else
+# if pkgconf has $(CURSES)
+ifeq ($(shell $(PKGCONF) --exists $(CURSES) && echo 0),0)
+# use pkgconf $(CURSES) info
+PKGCONF_CURSES = yes
+CURSES_LDFLAGS += $(shell $(PKGCONF) $(CURSES) --libs)
+CURSES_CFLAGS += $(shell $(PKGCONF) $(CURSES) --cflags)
 else # Otherwise, try something obvious like before.
 CURSES_LDFLAGS += -l$(CURSES)
-endif
-endif
-
-
+CURSES_CFLAGS += -D_DEFAULT_SOURCE
+endif
+endif
+
+
+#############################
 # OS-specific configurations.
 # NetBSD
 ifeq ($(UNAME_S),NetBSD)
@@ -231,8 +283,8 @@
 CURSES_DEFINE = USE_NCURSES_H
 endif
 
-MKFONTDIR ?= $(shell which mkfontdir)
-
+
+# Export variables to sub-Makefiles.
 export CC
 export CFLAGS
 export CURSES_CFLAGS
@@ -241,28 +293,53 @@
 export AR
 export RANLIB
 export SYSCONFDIR
-export SDL_CFLAGS
 export COLOR
 export ITALIC
 export SOUND_TYPE
 export NO_SOUND
+export DESTDIR
+export PREFIX
+export PKGCONF
+export NO_PKGCONF
+
+export CURSES_DEFINE
+export SAMPLERATE
+export BUFFSIZE
+export DEFAULT_CONVERTER
+export USE_UTF8
+
+export SDL_PKGS
+export SDL_SOUND_PKGS
+export SDL_CFLAGS
+export SDL_LDFLAGS
+export SDL_SOUND_CFLAGS
+export SDL_SOUND_LDFLAGS
+export SDL_CFLAGS_DEF
+export SDL_SOUND_CFLAGS_DEF
+export SDL_LDFLAGS_DEF
+export SDL_SOUND_LDFLAGS_DEF
+
+export X11_PKGS
+export X11_CFLAGS
+export X11_CFLAGS_DEF
 
 NAME = frotz
-VERSION = 2.54
+VERSION = 2.55
 RELEASE_NOTES = "Official release."
-
-# If we're working from git, we have access to proper variables. If
-# not, make it clear that we're working from a release.
+#RELEASE_NOTES = "Development release."
+
+# If we're working from git, we have access to proper variables.
+# If not, make it clear that we're working from a release.
 #
 GIT_DIR ?= .git
 ifneq ($(and $(wildcard $(GIT_DIR)),$(shell which git)),)
 GIT_HASH = $(shell git rev-parse HEAD)
-GIT_HASH_SHORT = $(shell git rev-parse --short HEAD)
+GIT_HASH_SHORT = $(shell git rev-parse --short=8 HEAD)
 GIT_DATE = $(shell git show -s --format=%ci)
 else
-GIT_HASH = 5a86de2f0799bde12699a0189ea12be8c96194a5
-GIT_HASH_SHORT = 5a86de2
-GIT_DATE = 2022-04-13 23:47:41 -0700
+GIT_HASH = acf205585a9472d27c07c0fe62da4b8bc89d1ec7
+GIT_HASH_SHORT = acf20558
+GIT_DATE = 2025-02-01 14:36:37 -0800
 endif
 export CFLAGS
 
@@ -276,13 +353,13 @@
 HASH = $(COMMON_DIR)/hash.h
 
 MISC_DIR = $(SRCDIR)/misc
+FONTS_DIR = fonts
 
 BLORB_DIR = $(SRCDIR)/blorb
 BLORB_LIB = $(BLORB_DIR)/blorblib.a
 
 CURSES_DIR = $(SRCDIR)/curses
 CURSES_LIB = $(CURSES_DIR)/frotz_curses.a
-CURSES_DEFINES = $(CURSES_DIR)/ux_defines.h
 
 DUMB_DIR = $(SRCDIR)/dumb
 DUMB_LIB = $(DUMB_DIR)/frotz_dumb.a
@@ -291,16 +368,15 @@
 
 X11_DIR = $(SRCDIR)/x11
 X11_LIB = $(X11_DIR)/frotz_x11.a
-export X11_PKGS = x11 xt libpng libjpeg zlib
-X11_FONTDIR = $(DESTDIR)$(PREFIX)/share/fonts/X11/zork
-X11_LDFLAGS = `pkg-config $(X11_PKGS) --libs` -lm
+X11_PKGS = x11 xt libpng libjpeg zlib
 
 SDL_DIR = $(SRCDIR)/sdl
 SDL_LIB = $(SDL_DIR)/frotz_sdl.a
-export SDL_PKGS = libpng libjpeg sdl2 SDL2_mixer freetype2 zlib
-SDL_LDFLAGS += $(shell $(PKG_CONFIG) $(SDL_PKGS) --libs) -lm
-
-SUBDIRS = $(COMMON_DIR) $(CURSES_DIR) $(X11_DIR) $(SDL_DIR) $(DUMB_DIR) $(BLORB_DIR) $(DOS_DIR)
+SDL_PKGS = libpng libjpeg sdl2 freetype2 zlib
+SDL_SOUND_PKGS = SDL2_mixer
+SDL_LDFLAGS += -lm
+
+SUBDIRS = $(COMMON_DIR) $(CURSES_DIR) $(X11_DIR) $(SDL_DIR) $(DUMB_DIR) $(BLORB_DIR) $(DOS_DIR) $(FONTS_DIR)
 SUB_CLEAN = $(SUBDIRS:%=%-clean)
 
 FROTZ_BIN = frotz$(EXTENSION)
@@ -351,7 +427,7 @@
 curses: $(FROTZ_BIN)
 ncurses: $(FROTZ_BIN)
 $(FROTZ_BIN): $(FROTZ_LIBS)
-	$(CC) $+ -o $@$(EXTENSION) $(LDFLAGS) $(CURSES_LDFLAGS) $(CURSES_SOUND_LDFLAGS)
+	$(CC) $+ -o $@ $(LDFLAGS) $(CURSES_LDFLAGS) $(CURSES_SOUND_LDFLAGS)
 	@echo "** Done building Frotz with curses interface"
 	@echo "** Audio support $(CURSES_SOUND) (type $(SOUND_TYPE))"
 	@echo "** Blorb support $(BLORB_SUPPORT)"
@@ -359,67 +435,4 @@
 nosound: nosound_helper $(FROTZ_BIN) | nosound_helper
 nosound_helper:
 	$(eval SOUND_TYPE= none)
-	$(eval NO_SOUND= -DNO_SOUND)
 	$(eval CURSES_SOUND_LDFLAGS= )
-	$(eval CURSES_SOUND= disabled)
-
-dumb: $(DFROTZ_BIN)
-$(DFROTZ_BIN): $(DFROTZ_LIBS)
-	$(CC) $+ -o $@$(EXTENSION) $(LDFLAGS)
-	@echo "** Done building Frotz with dumb interface."
-	@echo "** Blorb support $(BLORB_SUPPORT)"
-
-x11: $(XFROTZ_BIN)
-$(XFROTZ_BIN): $(XFROTZ_LIBS)
-	$(CC) $+ -o $@$(EXTENSION) $(LDFLAGS) $(X11_LDFLAGS)
-	@echo "** Done building Frotz with X11 interface."
-
-sdl: $(SFROTZ_BIN)
-$(SFROTZ_BIN): $(SFROTZ_LIBS)
-	$(CC) $+ -o $@$(EXTENSION) $(LDFLAGS) $(SDL_LDFLAGS)
-	@echo "** Done building Frotz with SDL interface."
-
-owdos: $(DOS_BIN)
-$(DOS_BIN): $(COMMON_DEFINES) $(HASH)
-ifneq ($(shell which wmake),)
-	wmake -f Makefile.ow
-else
-	$(error wmake command not found.  Cannot make the DOS version)
-endif
-
-all: $(FROTZ_BIN) $(DFROTZ_BIN) $(SFROTZ_BIN) $(XFROTZ_BIN)
-snavig:
-	@echo "Snavig: Change an object's shape..."
-	@echo "Possible snavig-processed targets:"
-	@echo "  dos    (done)"
-	@echo "  tops20 (done)"
-	@echo "  its    (not even started)"
-	@echo "  tops10 (not even started)"
-	@echo "  tenex  (not even started)"
-	@echo "  waits  (not even started)"
-	@echo "That's all for now."
-
-dos: $(COMMON_DEFINES) $(HASH)
-	@rm -rf $(SNAVIG_DIR)
-	@mkdir $(SNAVIG_DIR)
-	@echo "** Copying support text files to $(SNAVIG_DIR)"
-	@cp Makefile.tc Makefile.ow $(SNAVIG_DIR)
-	@cp owbuild.bat tcbuild.bat $(SNAVIG_DIR)
-	@cp INSTALL_DOS $(SNAVIG_DIR)/INSTALL.txt
-	@cp doc/frotz.txt $(SNAVIG_DIR)
-	@sed -i "/^OW_DOS_DIR.*/d" $(SNAVIG_DIR)/Makefile.ow
-	@sed -i "/^CORE_DIR.*/d" $(SNAVIG_DIR)/Makefile.ow
-	@sed -i "/^BLORB_DIR.*/d" $(SNAVIG_DIR)/Makefile.ow
-	@echo "** Invoking snavig"
-	@$(SNAVIG) -t dos $(COMMON_DIR) $(BLORB_DIR) $(DOS_DIR) $(SNAVIG_DIR)
-	@echo "** Adding frotz.prj for building with Turbo C IDE"
-	@cp frotz.prj $(SNAVIG_DIR)
-	@echo "$(SNAVIG_DIR)/ now contains Frotz source code for 16-bit DOS."
-	@echo "Supported compilers are:"
-	@echo "  Borland Turbo C 3.00 and Borland MAKE 3.6"
-	@echo "  Open Watcom C 2.0 and Open Watcom MAKE (wmake)"
-
-tops20: $(COMMON_DEFINES) $(HASH)
-	@rm -rf $(SNAVIG_DIR)
-	@mkdir $(SNAVIG_DIR)
-	@echo "** Invoking snavig"

=== fonts/Makefile ===
# For GNU Make.

ZFONTSBDF = Zork_r400-10.bdf Zork_r400-11.bdf Zork_r400-13.bdf Zork_r400-16.bdf Zork_r400-20.bdf
ZFONTSPCF = $(ZFONTSBDF:.bdf=.pcf)

FONTDIR = $(DESTDIR)$(PREFIX)/share/fonts
X11_FONTDIR = $(FONTDIR)/X11
X11_ZORK_FONTDIR = $(X11_FONTDIR)/zork

MKFONTDIR ?= $(shell which mkfontdir)
XSET ?= $(shell which xset)

help:
	@echo "Font Targets:"
	@echo "         pcf: Build PCF fonts from BDF fonts"

pcf:	$(ZFONTSPCF)

install_pcf:	pcf
	@echo "Installing X11 fonts to $(X11_ZORK_FONTDIR)"
	mkdir -p $(X11_ZORK_FONTDIR)
	install -m 644 -t $(X11_ZORK_FONTDIR) $(ZFONTSPCF)
	$(MKFONTDIR) $(X11_ZORK_FONTDIR)
	$(XSET) +fp $(X11_ZORK_FONTDIR)

uninstall_pcf:
	rm -f $(X11_ZORK_FONTDIR)/*pcf
	rm -f $(X11_ZORK_FONTDIR)/fonts.dir
	# Remove as much as we added as we can.
	find $(FONTDIR) -depth -type d -empty -exec rmdir "{}" \;
	$(XSET) -fp $(X11_ZORK_FONTDIR)

clean:
	rm -f $(TARGET) $(OBJECTS) $(ZFONTSPCF)

.bdf.pcf:
	bdftopcf -t $< -o $@

.SUFFIXES: .bdf .pcf
.DELETE_ON_ERROR:
.PHONY:	clean install_pcf uninstall_pcf

=== src/curses/Makefile ===
--- 
+++ 
@@ -4,7 +4,9 @@
 SOURCES = ux_audio.c ux_audio_none.c ux_audio_oss.c ux_blorb.c ux_init.c \
 	ux_input.c ux_pic.c ux_screen.c ux_text.c
 
-HEADERS = ux_blorb.h ux_frotz.h ux_setup.h defines.h
+HEADERS = ux_blorb.h ux_frotz.h ux_setup.h
+
+DEFINES = ux_defines.h
 
 OBJECTS = $(SOURCES:.c=.o)
 
@@ -32,16 +34,45 @@
 $(error Invalid sound choice $(SOUND_TYPE))
 endif
 
-.PHONY: clean
-.DELETE_ON_ERROR:
-
-$(TARGET): $(OBJECTS)
-	$(AR) $(ARFLAGS) $@ $?
+$(TARGET): $(DEFINES) $(OBJECTS) | $(DEFINES)
+	$(AR) $(ARFLAGS) $@ $(OBJECTS)
 	$(RANLIB) $@
 	@echo "** Done with curses interface."
 
+$(DEFINES):
+	@echo "** Generating $@"
+	@echo "/* This file was automatically generated by the build process. */" > $@
+	@echo "/* These are defines specific to the curses interface. */" >> $@
+	@echo >> $@
+	@echo "#ifndef UX_CURSES_DEFINES_H" >> $@
+	@echo "#define UX_CURSES_DEFINES_H" >> $@
+	@echo "#define $(CURSES_DEFINE)" >> $@
+	@echo "#define CONFIG_DIR \"$(SYSCONFDIR)\"" >> $@
+
+ifeq ($(SOUND_TYPE),none)
+	@echo "#define NO_SOUND" >> $@
+else
+	@echo "#define SOUND_TYPE \"$(SOUND_TYPE)\"" >> $@
+	@echo "#define SAMPLERATE $(SAMPLERATE)" >> $@
+	@echo "#define BUFFSIZE $(BUFFSIZE)" >> $@
+	@echo "#define DEFAULT_CONVERTER $(DEFAULT_CONVERTER)" >> $@
+endif
+
+ifdef COLOR
+	@echo "#define COLOR_SUPPORT" >> $@
+endif
+ifdef ITALIC
+	@echo "#define ITALIC_SUPPORT" >> $@
+endif
+	@echo "#endif /* UX_CURSES_DEFINES_H */" >> $@
+
+
+
 clean:
-	rm -f $(TARGET) $(OBJECTS)
+	rm -f $(TARGET) $(OBJECTS) $(DEFINES)
 
-%.o: %.c
+%.o: %.c $(DEFINES)
 	$(CC) $(CFLAGS) $(CURSES_CFLAGS) $(NO_SOUND) -fPIC -fpic -o $@ -c $<
+
+.PHONY: clean $(DEFINES)
+.DELETE_ON_ERROR:

=== src/sdl/Makefile ===
# Makefile for Unix Frotz
# GNU make is required

SOURCES = sf_fonts.c sf_msg_en.c sf_resource.c sf_util.c \
	sf_deffont.c sf_ftype.c sf_osfdlg.c sf_sig.c sf_video.c \
	sf_font3.c sf_images.c sf_sound.c generic.c

HEADERS = sf_frotz.h

DEFINES = sf_defines.h

OBJECTS = $(SOURCES:.c=.o)

DEPS = $(SOURCES:.c=.d)

TARGET = frotz_sdl.a

ARFLAGS = rc

ifneq ($(NO_PKGCONF), yes)
SDL_CFLAGS += $(shell $(PKGCONF) $(SDL_PKGS) --cflags)
SDL_SOUND_CFLAGS += $(shell $(PKGCONF) $(SDL_SOUND_PKGS) --cflags)
else
SDL_CFLAGS += $(SDL_CFLAGS_DEF)
SD_SOUND_CFLAGS += $(SDL_SOUND_CFLAGS_DEF)
endif


$(TARGET): $(DEFINES) $(OBJECTS) | $(DEFINES)
	$(AR) $(ARFLAGS) $@ $(OBJECTS)
	$(RANLIB) $@
	@echo "** Done with SDL interface."

%.o: %.c
	$(CC) $(CFLAGS) $(SDL_CFLAGS) -fPIC -fpic -o $@ -c $<

$(DEFINES):
	@echo "** Generating $@"
	@echo "/* This file was automatically generated by the build process. */" > $@
	@echo "/* These are defines specific to the SDL interface. */" >> $@
	@echo >> $@
	@echo "#ifndef SDL_DEFINES_H" >> $@
	@echo "#define SDL_DEFINES_H" >> $@
ifeq ($(SOUND_TYPE),none)
	@echo "#define NO_SOUND" >> $@
endif
	@echo "#endif /* SDL_DEFINES_H */" >> $@

clean:
	-rm -f $(TARGET) $(OBJECTS) $(DEPS) $(DEFINES)

.PHONY: clean
.DELETE_ON_ERROR:

=== debian/changelog ===
frotz (2.55+dfsg-3) unstable; urgency=medium

  * Use int throughout instead of the custom bool (which is int), to avoid
    conflicting with C23’s bool. Closes: #1096660.
  * Remove the old FSF address from debian/copyright.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Sep 2025 22:35:55 +0200

frotz (2.55+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS:
    + Adapt to upstream rename PKG_CONFIG -> PKGCONF_BIN.
    + cross.patch: Remove ux_defines.h from .PHONY to avoid rebuilding during
      make install.
    Closes: #1095250.

 -- Stephen Kitt <skitt@debian.org>  Fri, 07 Feb 2025 07:46:03 +0100

frotz (2.55+dfsg-1) unstable; urgency=medium

  * New upstream release, obsoleting uint32.patch.
  * Update debian/watch to handle recent GitLab changes. Thanks to
    Patrice Duroux for the patch! Closes: #1090045.

 -- Stephen Kitt <skitt@debian.org>  Mon, 03 Feb 2025 07:35:10 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libsndfile1-dev,
  libvorbis-dev,
  zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/frotz
 Vcs-Git: https://salsa.debian.org/games-team/frotz.git
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- BINDIR=/usr/games CFLAGS="$(CPPFLAGS) $(CFLAGS)" curses dumb sdl PKGCONF_BIN='$(PKG_CONFIG)'

override_dh_auto_install:
	dh_auto_install -- BINDIR=/usr/games PREFIX=/usr install_frotz install_dfrotz install_sfrotz

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg,searchmode=plain" \
  https://gitlab.com/DavidGriffith/frotz/tags?sort=updated_desc \
  -/archive/[^/]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
